import { TypedNode } from '../_Base';
import { NodeContext } from '../../poly/NodeContext';
import { NodeParamsConfig } from '../utils/params/ParamsConfig';
import { FlagsController } from '../utils/FlagsController';
export declare class TypedRopNode<K extends NodeParamsConfig> extends TypedNode<NodeContext.ROP, K> {
    static nodeContext(): NodeContext;
    readonly flags: FlagsController;
    initializeBaseNode(): void;
    cook(): void;
}
export declare type BaseRopNodeType = TypedRopNode<NodeParamsConfig>;
export declare class BaseRopNodeClass extends TypedRopNode<NodeParamsConfig> {
}
